using System;

namespace Finale_takmicenje
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] st = Console.ReadLine().Split();
            int a = int.Parse(st[0]);
            int b = int.Parse(st[1]);
            int resenje;
            resenje = 2 * b + (a - 2) * 2 + (a - 2) * (b - 2) / 2;
            if(resenje == 0)
            {
                resenje++;
            }
            Console.WriteLine(resenje);
        }
    }
}